specdiff
Prev | Deprecated Orchestra Opcodes and GEN Routines | Next

## specdiff

specdiff — Finds the positive difference values between consecutive spectral frames.

## Description

Finds the positive difference values between consecutive spectral frames.

## Syntax

    wsig specdiff wsigin

## Performance

wsig -- the output spectrum.

wsigin -- the input spectra.

Finds the positive difference values between consecutive spectral frames. At each new frame of wsigin, each magnitude value is compared with its predecessor, and the positive changes written to the output spectrum. This unit is useful as an energy onset detector.

## Examples

      wsig2    specdiff    wsig1         ; sense onsets
      wsig3    specfilt    wsig2, 2      ; absorb slowly
               specdisp    wsig2, 0.1    ; & display both spectra
               specdisp    wsig3, 0.1

## See Also

specaddm, specfilt, spechist, specscal

Prev | Up | Next
specaddm | Home | specdisp